#include-once
#include "XZip.au3"
#include <array.au3>


;tests
Dim $sXZipLoc = @ScriptDir & '\XZipDll\XZip.dll' ;locaton of XZip.dll
Dim $sTestZip = @ScriptDir & '\Foo.zip' ;name of the zip file to work with
Dim $sUnpackDir = @ScriptDir & '\extract' ;uppack dir
Dim $sZipPackDir = @ScriptDir & '\Testfiles' ;_ZipPackDir dir
Dim $aPackStuff = _ArrayCreate ('TestFiles\TestFile1.txt', 'TestFiles\NotherTest.txt', 'TestFiles\TestDir1\TestFile2.txt', _
		'TestFiles\TestDir1\TestFile3.txt') ;list of random test files to pack

;open a new working acharive
If _ZipOpen ($sTestZip, $sXZipLoc) Then MsgBox(0, 'XZip COM Test', 'open ' & $sTestZip)

;WIP: Pack an array of files.
;~ If _ZipPackGroup($aPackStuff) Then
;~ 	MsgBox(0, 'XZip COM Test', 'packed')
;~ Else
;~ 	MsgBox(0, 'XZip COM Test', 'Error: ' & @error)
;~ EndIf

;pack files based on dir
_ZipPackDir ($sZipPackDir)

;return an array of files/dirs in a given zip file
Dim $a = _ZipContents ()
_ArrayDisplay($a, 'XZip COM Test')

;unpack a zip file
If _ZipUnpack ($sUnpackDir) Then MsgBox(0, 'XZip COM Test', 'unpacked to: ' & $sUnpackDir)

;close zipp.dll, unreg service, and reset working .zip name
If _ZipClose () Then MsgBox(0, 'XZip COM Test', 'closed')